.block-card-drawer {
    position: relative;
    border: 1px solid #E1E1DF;
    border-radius: 8px;
    padding: 32px 24px 8px;
    margin-bottom: 24px;

}
.block-card-drawer {
    transition: box-shadow 0.3s ease-out!important;
}
.block-card-drawer:not(.block-card-drawer--cta-disabled):hover {
    box-shadow: 0 4px 17px rgba(0, 0, 0, 0.09);
}
.block-card-drawer:has(.block-card-drawer__inner[aria-hidden='false']):hover {
    box-shadow: none;
}
.block-card-drawer--cta-disabled {
    padding-bottom: 32px;
}
.block-card-drawer__toggle-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: auto;
    margin-right: 0;
    width: 40px;
    height: 40px;
    border-radius: 8px;
    border: 1px solid #E1E1DF;
    margin-bottom: 24px;
    transition: 0.3s ease-out;
}
.block-card-drawer__toggle-btn:hover,
.block-card-drawer__toggle-btn:focus {
    background-color: #FAFAFA;
}
.block-card-drawer__toggle-btn .icon {
    transition: transform 0.5s ease-in-out;
}
.block-card-drawer__toggle-btn[aria-expanded="true"] .icon {
    transform: rotate(-135deg);
}
.block-card-drawer__push-title {
    margin: 0;
    font-size: 1.875rem;
    line-height: 1.1;
    font-weight: 800;
    color: var(--wp--preset--color--blue);
}
.block-card-drawer__push-subtitle {
    margin: 8px 0 0;
    font-size: 1.5rem;
    line-height: 1.3;
    font-weight: 600;
    color: var(--wp--preset--color--golden);
}
.has-blue-background-color .block-card-drawer__push-title {
    color: inherit;
}
.block-card-drawer__inner {
    position: relative;
    z-index: 1;
    display: block;
    overflow: hidden;
    visibility: visible;
    transition: 0.5s ease-in-out;
    margin-top: 24px;
}
.block-card-drawer__inner[aria-hidden="true"] {
    max-height: 0!important;
    opacity: 0;
    visibility: hidden;
}

.block-card-drawer__content {
    padding-top: 24px;
    padding-bottom: 24px;
    border-top: 1px solid #F6F6F6;
}
.block-card-drawer__content > :last-child {
    margin-bottom: 0;
}

.block-card-drawer__push-icon {
    background: #E9E2D8;
    color: var(--wp--preset--color--golden-500);
    border-radius: 50%;
    width: 64px;
    height: 64px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.block-card-drawer__push-icon .icon {
    width: 62px;
    height: 62px;
}

.block-card-drawer:has(.block-card-drawer__push-icon) {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}
.block-card-drawer:has(.block-card-drawer__push-icon) .block-card-drawer__toggle-btn {
    margin-bottom: 0;
}
.block-card-drawer:has(.block-card-drawer__push-icon) .block-card-drawer__titles {
    flex: 1 1 100%;
}
.block-card-drawer:has(.block-card-drawer__push-icon) .block-card-drawer__titles {
    margin-top: 24px;
}


.is-style-inline-icon {
    column-gap: 12px;
    align-items: center;
    padding: 20px 20px 0 24px;
}
.block-card-drawer-list .block-card-drawer.is-style-inline-icon:hover {
    transition: background-color 0.3s ease-out!important;
    box-shadow: none!important;
}
.block-card-drawer.is-style-inline-icon:hover {
    background-color: #FAFAFA;
}
.block-card-drawer.is-style-inline-icon:has(.block-card-drawer__inner[aria-hidden='false']):hover {
    background-color: transparent;
}
.is-style-inline-icon:has(.block-card-drawer__push-icon) .block-card-drawer__titles {
    order: 2;
    flex: 0 0 calc(100% - 38px - 12px - 12px - 40px);
    margin-top: 0;
}
.is-style-inline-icon .block-card-drawer__push-title {
    font-size: 1.25rem;
    line-height: 1.3;
    margin-top: 0!important;
}
.is-style-inline-icon .block-card-drawer__push-subtitle {
    font-size: 1rem;
    line-height: 1.3;
    margin-top: 0;
}
.is-style-inline-icon .block-card-drawer__toggle-btn {
    order: 3;
    margin-bottom: 0;
    margin-left: 0;
}
.is-style-inline-icon .block-card-drawer__inner {
    order: 4;
    margin-top: 20px;
}
.is-style-inline-icon .block-card-drawer__content {
    padding-top: 0;
    padding-bottom: 20px;
    border-top: 0;
    font-size: 1rem;
}
.is-style-inline-icon .block-card-drawer__push-icon {
    width: 38px;
    height: 38px;
    order: 1;
}
.is-style-inline-icon .block-card-drawer__push-icon .icon {
    width: 28px;
    height: 28px;
}

.block-card-drawer--image-full {
    padding-top: 0;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}
.block-card-drawer--image-full .block-card-drawer__push-image {
    margin-left: -24px;
    margin-right: -24px;
    aspect-ratio: 412/150;
    flex: 1 1 calc(100% + 24px + 24px);
    margin-bottom: 24px;
}
.block-card-drawer--image-full .block-card-drawer__push-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}
.block-card-drawer--image-full .block-card-drawer__titles {
    flex: 0 0 calc(100% - 24px - 44px);
    order: 1;
}
.block-card-drawer--image-full .block-card-drawer__push-title {
    font-size: 1.25rem;
    line-height: 1.3;
}
.block-card-drawer--image-full .block-card-drawer__push-subtitle {
    font-size: 1rem;
    line-height: 1.3;
    font-weight: 400;
}
.block-card-drawer--image-full .block-card-drawer__toggle-btn {
    order: 3;
    margin-bottom: 0;
}
.block-card-drawer--image-full .block-card-drawer__inner {
    order: 4;
}

.block-card-drawer--image-logo {
    position: relative;
}
.block-card-drawer--image-logo .block-card-drawer__push-image {
    margin-bottom: 24px;
}
.block-card-drawer--image-logo .block-card-drawer__toggle-btn {
    position: absolute;
    top: 32px;
    right: 24px;
}

.block-card-drawer__full-block-button {
    position: absolute;
    inset: 0;
    opacity: 0;
}

@media screen and (max-width: 1279px) {
    .block-card-drawer__push-icon {
        width: 48px;
        height: 48px;
    }
    .block-card-drawer__push-icon .icon {
        width: 46px;
        height: 46px;
    }
    .block-card-drawer__push-title {
        font-size: 1.5rem;
    }
    .block-card-drawer__push-subtitle {
        font-size: 1.25rem;
    }

    .is-style-inline-icon {
        grid-template-rows: 31px 26px 1fr;
        padding: 18px 18px 0;
    }
    .is-style-inline-icon .block-card-drawer__inner {
        margin-top: 18px;
    }
    .is-style-inline-icon .block-card-drawer__push-title {
        font-size: 1.125rem;
        line-height: 1.1;
        margin-bottom: 2px;
    }
    .is-style-inline-icon .block-card-drawer__push-subtitle {
        font-size: 0.875rem;
    }
}

@media screen and (max-width: 767px) {
    .block-card-drawer {
        padding-top: 24px;
        padding-bottom: 0;
    }
    .block-card-drawer--cta-disabled {
        padding-bottom: 24px;
    }
    .block-card-drawer--image-full {
        padding-top: 0;
        padding-left: 18px;
        padding-right: 18px;
    }
    .block-card-drawer--image-full .block-card-drawer__push-image {
        margin-left: -18px;
        margin-right: -18px;
        flex: 1 1 calc(100% + 18px + 18px);
        margin-bottom: 18px;
    }
    .block-card-drawer--image-full .block-card-drawer__titles {
        max-width: calc(100% - 12px - 44px);
    }
    .block-card-drawer--image-full .block-card-drawer__push-title {
        font-size: 1.125rem;
    }
    .block-card-drawer--image-full .block-card-drawer__toggle-btn {
        width: 44px;
        height: 44px;
    }

    .block-card-drawer--image-logo .block-card-drawer__push-image img {
        width: 66px;
        height: 69px;
    }
}

